rubygems-bundler integration gem reaches 1.0.0 - No more "bundle exec ..."

Submitted by Michal Papis 2012-05-10 04:05:07 UTC
Source:  http://niczsoft.com/2012/05/rubygems-bundler-integration-gem-1-0-0/

Referenced projects

Rubygems

RubyGems is a package management framework for Ruby. This gem is an update for the RubyGems software. You must have an installation of RubyGems before this update can be applied. See Gem for information on RubyGems (or `ri Gem`) To upgrade to the latest RubyGems, run: $ gem update --system # you might need to be an administrator or root See UPGRADING.rdoc for more details and alternative instructions. ----- If you don't have RubyGems installed, you can still do it manually: * Download from: https://rubygems.org/pages/download * Unpack into a directory and cd there * Install with: ruby setup.rb # you may need admin/root privilege For more details and other options, see: ruby setup.rb --help

Rubygem rubygems-update

Total Downloads
10454884
Releases
123
Current Version
2.0.17
Released
2015-06-08 00:00:00 UTC
First Release
2004-12-07 05:00:00 UTC
Depends on following gems
Depending Gems
8

Bundler

Bundler manages an application's dependencies through its entire life, across many machines, systematically and repeatably

Rubygem bundler

Total Downloads
45156361
Releases
204
Current Version
1.10.4
Released
2015-06-16 00:00:00 UTC
First Release
2009-07-29 07:00:00 UTC
Depends on following gems
Depending Gems
24503

Github carlhuda/bundler

Watchers
2001
Forks
673
Development activity
Less active
Last commit
2013-05-22 05:46:55 UTC
Contributors
231
Issues
Wiki pages

rubygems-bundler

Stop using bundle exec. Integrate Rubygems and Bundler. Make rubygems generate bundler aware executable wrappers.

Rubygem rubygems-bundler

Total Downloads
7899131
Releases
40
Current Version
1.4.4
Released
2014-06-06 00:00:00 UTC
First Release
2011-06-08 00:00:00 UTC
Depends on following gems
Depending Gems
6

Github mpapis/rubygems-bundler

Watchers
469
Forks
16
Development activity
Inactive
Last commit
2014-06-06 15:10:59 UTC

noexec

Stop using bundle exec.

Rubygem noexec

Total Downloads
8007
Releases
5
Current Version
0.1.0
Released
2012-03-28 00:00:00 UTC
First Release
2012-03-28 00:00:00 UTC
Depends on following gems
Depending Gems
0

Github joshbuddy/noexec

Watchers
116
Forks
5
Development activity
Inactive
Last commit
2012-04-02 21:59:02 UTC
Top contributors
Contributors
2
Issues
×

In order to continue, you must be signed in using your Github account.

If you're signing in using this account for the first time Github will ask for your permission to give access to your public user data to the Ruby Toolbox.

Although the Github Authorization page does not mention it, the request includes read-only access to your verified email address (user:email OAuth scope). This is neccessary so there's a way to notify you about comments, information about your accepted project edits and the like. You can review your notification settings on your account page once you're signed in.